import request from '@/utils/request'

// 查询文件管理列表
export function listInfo(query) {
  return request({
    url: '/iit/file/list',
    method: 'get',
    params: query
  })
}

export function listMyselfInfo(query) {
  return request({
    url: '/iit/file/myself/list',
    method: 'get',
    params: query
  })
}

// 查询文件管理详细
export function getInfo(id) {
  return request({
    url: '/iit/file/' + id,
    method: 'get'
  })
}

// 新增文件管理
export function addInfo(data) {
  return request({
    url: '/iit/file',
    method: 'post',
    data: data
  })
}

// 修改文件管理
export function updateInfo(data) {
  return request({
    url: '/iit/file',
    method: 'put',
    data: data
  })
}

// 删除文件管理
export function delInfo(id) {
  return request({
    url: '/iit/file/' + id,
    method: 'delete'
  })
}
